
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package javaee-security-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.redhat-1

Name:           %{?scl_prefix}javaee-security-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java EE Security API
Group:          Development/Java

%if %with mead
Source100: javax.security.enterprise-api-1.0.0.redhat-1-scm-sources.zip
Source102: javax.security.enterprise-api-1.0.0.redhat-1.jar
Source103: javax.security.enterprise-api-1.0.0.redhat-1-sources.jar
Source104: javax.security.enterprise-api-1.0.0.redhat-1-javadoc.jar
Source105: javax.security.enterprise-api-1.0.0.redhat-1.pom
Source106: javax.security.enterprise-api-1.0.0.redhat-1-project-sources.tar.gz
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/javaee/security-api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/javaee-security-api-%{namedversion}-%{release}-root

%description
Security API for Java EE Applications.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javaee-security-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n security-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javax.security.enterprise-api-%{namedversion}.jar %{buildroot}%{_javadir}/javax.security.enterprise-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.security.enterprise-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.security.enterprise-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.security.enterprise-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.security.enterprise-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javaee-security-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javax.security.enterprise-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javax.security.enterprise-api-%{namedversion} -x META-INF/\*
%{__ln_s} javaee-security-api-%{namedversion} %{buildroot}%{_javadocdir}/javaee-security-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}javaee-security-api
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/javax.security.enterprise-api-%{namedversion}.jar
%{_javadir}/javax.security.enterprise-api.jar
%if %with javadoc
%{_javadir}/javax.security.enterprise-api-%{namedversion}-javadoc.jar
%{_javadir}/javax.security.enterprise-api-javadoc.jar
%endif
%{_javadir}/javax.security.enterprise-api-%{namedversion}-sources.jar
%{_javadir}/javax.security.enterprise-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javaee-security-api-%{namedversion}
%{_javadocdir}/javaee-security-api
%endif

%changelog
* Tue Aug 14 2018 Yong Yang <yyang@redhat.com> - 1.0.0-2.redhat_1.1
-  1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- 1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build


